Bug 135580 - Remove Euro Converter Wizard from Wizard menu
Summary: Remove Euro Converter Wizard from Wizard menu
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.3 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0 target:7.1.0.0.beta2
Keywords:
Depends on:
Blocks: Wizard
  Show dependency treegraph
 
Reported: 2020-08-09 12:49 UTC by jan d
Modified: 2020-12-18 06:39 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jan d 2020-08-09 12:49:25 UTC
As a minor contribution to cleaning up our overflowing menus: We could probably remove the Euro Conversion Wizard from Writer.
Comment 1 Heiko Tietze 2020-12-14 13:06:49 UTC
Last modified in 2018 to use PNG instead of BMP https://gerrit.libreoffice.org/c/core/+/64864/ before in 2014 by Eike. Don't see the need for this dialog.
Comment 2 S.Zosgornik 2020-12-17 00:45:51 UTC
EURO converter was used in 2001.

+2002 to remove
Comment 3 Eike Rathke 2020-12-17 14:34:31 UTC
Actually it was last used 2014 when LVL Latvian Lats and LTL Lithuanian Litas were added.

However, I don't know what users expect and whether the wizard is still useful or not. We could remove it from the menu but keep it available in customization.
Comment 4 Tor Lillqvist 2020-12-17 14:47:26 UTC
Just do it. Remove both from menu and the implementation.
Comment 5 Buovjaga 2020-12-17 17:52:27 UTC
Added in 2017 to list of removal proposals: https://wiki.documentfoundation.org/Proposals_for_removing_features#The_Euro_Converter_Wizard
Comment 6 Commit Notification 2020-12-17 21:31:53 UTC
Christian Lohmaier committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d6774abbd3eddbf3a6655c57a880f4e28d0cb74a

tdf#135580 remove Euro Conversion wizard from menu

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-12-17 21:35:08 UTC
Christian Lohmaier committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/08e8fb0cba7edbba4436096c248bab30c0564b28

tdf#135580 remove Euro Conversion wizard from menu

It will be available in 7.1.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Heiko Tietze 2020-12-18 06:39:25 UTC
(In reply to Commit Notification from comment #7)
> Christian Lohmaier committed a patch related to this issue.
> It has been pushed to "libreoffice-7-1":

This patch removes the access to the Euro Converter wizard but keeps the code. It was agreed in the ESC meeting 2020-Dec-17 to drop the code for 7.2.